Subject: Re: bug#39387: Builds are *not* offloaded when using the "--keep-failed" or -K option.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 05 Feb 2020 23:56:05 -0500

Ludovic Courtès <[email-masked]> writes:

> Hi Maxim,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> In the second case, the build is started on the local machine instead of
>> being dispatched to the offload machine.  Presumably, this is done so
>> that the files are available locally; but I'd prefer if it'd offload and
>> keep the files on the remote.  An alternative would be to copy the remote build directory
>> locally after failure.
>
> Indeed, it’s a feature!  :-)  It was discussed here:
>
>   https://issues.guix.gnu.org/issue/38312
>
> There we discussed the possibility of printing a warning, which wasn’t
> implemented.
>
> I’m closing in the meantime, but let me know what you think!
>
> Thank you,
> Ludo’.

Still, it'd be nice to have an option to keep failed build on the
*remote* machines.  I don't think that's possible currently?

Maxim